Share this page

# Options dialog box

This topic describes Controller's Options dialog box tabs, where you can configure scenario options..

In this topic:

## Overview

To access this dialog box, select Tools > Options. Then select a tab.

The options you configure in this dialog box generally need to be set only once, apply to all future scenarios, and apply globally to all the load generators in a scenario.

Note: You can change the settings for individual load generators (see Add New Load Generator/Load Generator Information dialog box). Individual load generator settings override global scenario settings.

Back to top

## Timeout tab

This tab enables you to specify timeout values for certain commands related to the load generator.

You can set the timeout interval for commands and Vuser elapsed time.

The command timeouts are the maximum time limits for various commands. When a command is issued by Controller, you set a maximum time for the load generator or Vuser to execute the command. If it does not complete the command within the timeout interval, Controller issues an error message.

Note: The number of active Vusers influences the timeout values. For example, 1000 Vusers trying to initialize takes much longer than 10 Vusers. To compensate for this, Controller adds an internal value, based on the number of active Vusers, to the specified timeout value.

User interface elements are described below:

UI Element | Description
--- | ---
Defaults | Sets the default timeout values.
Command Timeout (seconds) | If Enable timeout checks is selected, this area defines how the status of load generators and Vusers are monitored after a command is issued by the Controller. If the load generator or Vuser does not complete the command within the timeout interval you specified, the Controller issues an error message. If Enable timeout checks is not selected, Controller waits an unlimited time for the load generators to connect and disconnect, and for the Initialize, Run, Pause, and Stop commands to be executed.
Command Timeout: Load Generator | Connect. The time limit for connecting to any load generator. If a connection is not successful within this time, the status of the load generator changes to Failed. Default value: 120 seconds. Disconnect. The time limit for disconnecting from any load generator. If a disconnection is not successful within this time, the status of the load generator changes to Failed. Default value: 120 seconds.
Command Timeout: Vuser | Init. The timeout value for the Initialize command. Default value: 180 seconds. Run. The timeout value for the Run command. Default value: 120 seconds. Pause. The timeout value for the Pause command. Default value: 120 seconds. Stop. The timeout value for the Stop command. Default value: 120 seconds.
Update Vuser elapsed time every | The frequency for updateing the value displayed in the Elapsed Time column in the Vusers dialog box. Default value: 4 seconds. Example: If you select a Vuser and click the Initialize button, Controller checks whether the Vuser reaches the READY state within 180 seconds (the default Init timeout period); if it does not, Controller issues a message indicating that the Init command timed out.

Back to top

## Runtime Settings tab

The Runtime Settings tab enables you to specify scenario runtime settings relating to Vuser quotas, loading mode, stopping Vusers, and the seed number for random sequences.

User interface elements are described below:

UI Element | Description
--- | ---
Defaults | Sets the default runtime setting values.
Vuser Quota | To prevent your system from overloading, you can set quotas for Vuser activity. The Vuser quotas apply to Vusers on all load generators. Number of Vusers that may be initialized at one time - all load generators. The maximum number of Vusers the load generator can initialize at a time (when an Initialize command is sent). Default: 999
Vuser loading mode on the Load Generators | Sets the way the Vusers are loaded in a manual scenario. There are two methods available: Round-robin mode. Uses a round-robin algorithm to route client requests to the available load generators on a cyclical basis. This load method ensures that Vusers are distributed evenly, preventing an overload on any one load generator. It can also help improve performance, if the initialization stage of a script uses a lot of resources. In Vuser group mode, the Vusers in a group are routed using the round-robin method between all load generators, or the load generators allocated to the group, depending on the load generators selected. Sequential mode. (Default mode) Load Vusers sequentially on the load generators. Controller calculates the number of Vusers per load generator, and ramps up all Vusers, one load generator after another.
When stopping Vusers | Controls how Vusers stop running: Wait for the current iteration to end before stopping. (Default) The Vuser completes the iteration it is running before stopping. The Vusers move to the Gradual Exiting status and exit the scenario gradually. Wait for the current action to end before stopping. The Vuser completes the action it is running before stopping. The Vusers move to the Gradual Exiting status and exit the scenario gradually. Stop immediately. The Vusers stop running immediately. The Vusers move to the Exiting status and exit the scenario immediately.
Use random sequence with seed | Use a seed number for random sequencing. Each seed value represents one sequence of random values used for test execution. Whenever you use this seed value, the same sequence of values is assigned to the Vusers in the scenario. This setting applies to parameterized Vuser scripts using the Random method for assigning values from a data file. It also affects the random percentage of recorded think time. For more information, see the Runtime settings documentation in the VuGen Help Center. Enable this option if you discover a problem when running the test and want to repeat the test using the same sequence of random values. Default: 0

Back to top

## Execution tab

The Execution tab enables you to configure miscellaneous scenario execution settings. It enables you to configure the following miscellaneous scenario settings:

- The default schedule run mode for a new scenario

- The command to run after collating scenario results

- Vuser distribution

User interface elements are described below:

UI Element | Description
--- | ---
Default Scheduler | Enables you to set the default schedule run mode for new scenarios. Real-world schedule. Runs the scenario according to a real-world set of events Basic schedule. Runs a basic schedule, starting the Vusers, running them for a given amount of time, and stopping them. For more details, see Schedule run modes.
Post Collate Command | Enables you to define a command that Controller will run directly after it collates the results of a scenario run. Example: You can define a command to run a customer application that runs the Analysis API to extract data. Note: In the command, you can use the keyword, %ResultDir%, to refer to the scenario's results folder. (This keyword is not case sensitive.)
Vuser Distribution | Defines the method for allocating Vusers to the load generators used for the scenario: Standard distribution. (Default) The Vusers are distributed among all load generators used for the group or scenario, without checking load generator status or machine load. If any load generators are failed, the Vusers allocated to that machine will not run. Standard distribution, ignore failed load generators. The Vusers are distributed among all active load generators used for the group or scenario. Vuser distribution starts only after Controller has checked load generator status, and failed load generators are ignored. Note: This method works only when Network Virtualization is disabled. Smart distribution. The Vusers are distributed among the load generators used for the scenario based on CPU load. For details, see Smart Vuser distribution. Smart distribution is available for manual scenarios.

Smart Vuser distribution

Smart Vuser distribution provides load balancing for the load generated by Vusers, distributing the load evenly among the requested load generators. This improves the accuracy of the load test. It works most efficiently in scenarios with a high number of Vusers.

Note: Smart Vuser distribution is not supported for Dockerized load generators.

Smart Vuser distribution is available in manual scenarios. When Smart Vuser distribution is enabled, Controller allocates Vusers to each load generator based on the CPU usage of the machine. The allocation of each Vuser is determined before the Vuser is loaded. This means that for Smart Vuser distribution to work, the scenario must be set to load Vusers gradually and not all at once.

When a load generator's CPU usage becomes overloaded, Controller receives a message and stops loading Vusers on the overloaded load generator. Instead, Controller automatically distributes the next Vusers among the other load generators assigned to the same script or Vuser group. Only where there are no other available load generators assigned to the script or Vuser group does Controller stop loading Vusers.

Example: A scenario includes two scripts. Each script is assigned 3 load generators, as follows.

Script | Load generators
--- | ---
Script1 | lg1, lg2, lg3
Script2 | lg4, lg5, lg6

If lg4 becomes overloaded, Controller loads the next Vusers for Script2 only on lg5 and lg6. Vuser distribution for Script1, on lg1, lg2, and lg3, is not affected.

You can monitor load generators' CPU usage using the icons in the Load Generators dialog box. A vertical bar icon is displayed for each load generator to indicate the status of its CPU usage. For details, see Load Generators dialog box.

You can monitor load generators' CPU usage in greater detail using the Controller and Load Generator Resources monitor. For details, see Controller and Load Generator Resources monitor.

Back to top

## Runtime File Storage tab

The Runtime File Storage tab enables you to specify transfer and storage options for runtime files collected on remote load generators.

The runtime file storage options described below apply to all the load generators in a scenario. To change the settings for an individual load generators see Load Generator Configuration > Runtime File Storage tab.

User interface elements are described below:

UI Element | Description
--- | ---
Scripts and results stored | The location for storing scripts and results: On the current Vuser machine. (Default) The runtime files are saved on the load generator that is running the Vuser script. Note: If you select this option, you must collate the results before you can perform any analysis. You can wait for collation of the results when you launch Analysis, or you can collate results by choosing Results > Collate Results. Alternatively, select Results > Auto Collate Results to automatically collate the results at the end of each scenario run. On a shared network drive. To use this option, you save the Vuser scripts at a shared network location, and define a shared network location where the scenario results are saved. For details, see Runtime file storage locations. Note: If you select this option, you may need to perform path translation. Path translation ensures that the specified results folder is recognized by the remote load generator. For information about path translation, see Path translation.
Default remote host temporary directory | The default temporary folder (User Temp) for all load generator machines used during run time.
Do not transfer the parameter files to remote hosts | Instructs the Controller not to send .dat files to the load generator machine. This is useful if you know that the load generator machines already have access to the .dat files, or if the .dat file size is exceptionally large. This only applies to scripts and groups added from this point onward—it does not affect scripts or groups that have already been added to the scenario. To exclude .dat files for these scripts, open the Files tab in the Script Information dialog box dialog box, and manually deselect the check boxes adjacent to these files. If you want to include a specific .dat file, you can do so by manually selecting the file in the Files tab of the Script Information dialog box dialog box. Manually selecting a file overrides this global setting.
Transfer all files to remote hosts before running scenario | Instructs the Controller to transfer the runtime files to each load generator that will run that script, before running the scenario. This means that the Vusers are initialized only once the scripts have been downloaded to the load generator, and the scenario timer starts when the first Vuser actually begins. This option avoids the backup of Vusers in Pending state, and allows correct ramp-up time (without including the file transfer time). Note: You can check the output messages to see how long the file transfer took. For details, see Output Messages window. When working with NV Insights functionality, the Transfer all files... option should be disabled.

Back to top

## Path Translation tab

The Path Translation tab enables you to perform path translation when storing result and script files on a shared network drive.

User interface elements are described below (unlabeled elements are shown in angle brackets):

UI Element | Description
--- | ---
<Path Translation table> | Displays a list of paths translated into formats that can be recognized by different machines. You can insert comments by typing the # symbol at the start of a line in the table. For details, see Path translation table.
Convert to UNC | When selected, the path translation table is ignored, and all paths are converted to the Universal Naming Convention. Note: This option can be used only when Controller and load generator machines are all Windows-based machines.
Mode | The read/write permissions for the ppath.mnt file which contains the path translation table.
Path | The path to the ppath.mnt file which contains the path translation table.

Back to top

## Monitors tab

In the Monitors tab, you can enable the Transaction monitor, configure the behavior of the transaction data, and set the data sampling rate, error handling, debugging, and frequency settings for the online monitors.

User interface elements are described below:

UI Element | Description
--- | ---
Defaults | Sets the default timeout values.
Debug | If Display debug messages is selected, debug-related messages are sent to the Output window. For the Network monitor the messages are sent according to the specified debug level (1 - 9).
Error Handling | Controls the way in which error messages are issued: Send errors to the Output window. Pop-up an error message box.
Send (Expert mode only) | Summary. Sends a summary of the collected data back to Controller. Use this option if the speed at which the data is transferred is significant to you. Raw Data. Sends all of the data in raw form back to Controller. Sending the data in raw form saves time because the data does not need to be processed. However, since all of the data is being transferred to Controller, it may cause more network traffic.
Transaction Data | Configures the behavior of data for the Transaction, Data Point, and Web Resource online graphs. Enable Transaction Monitor. Enables the online Vuser Transaction monitor to start monitoring transactions at the start of a scenario. Frequency. The frequency, in seconds, at which the online monitor samples the data to produce the Transaction, Data Point, and Web Resource online graphs. For a small scenario, use a lower frequency, for example, 1. For a large scenario, use a higher frequency, for example, 3 - 5. The higher the frequency, the less network traffic there will be. The data is averaged for the frequency period defined, and only one value is sent to the Controller. Default value: 5 seconds For information on enabling and disabling the Transaction monitor and Web Page Diagnostics, see Runtime and Transaction monitoring. Note: Disabling this option conserves resources. You cannot modify these settings during scenario execution; you must stop the scenario before disabling the monitor or changing its frequency.
Resource Monitoring | Indicates the sampling rate for resource monitors. Data Sampling Rate. The sampling rate is the period of time (in seconds) between consecutive samples. Enter the rate at which the scenario is sampled for monitoring data. If you increase the sampling rate, the data is monitored less frequently. The default rate is 3 seconds. Notes: This data sampling rate is applied to all server monitors that are subsequently activated. It is not applied to server monitors that have already been activated. To apply the new data sampling rate to activated server monitors, save your scenario and reopen it. While many monitors use the value provided in this field, some monitors may use a different sampling rate than provided here. For example: Minimum rates. Some monitors limit the minimum sampling period. For example, the Windows Resource monitor, limits the minimum sampling period to 3 seconds. If you set value to less than 3, the monitor still uses a 3 second interval. Custom settings. Other monitors ignore Controller's settings and use a sampling rate defined in their own configuration files. For example, the minimum sampling rate for the Oracle monitor is 10 seconds. If the sampling rate is set here at less than 10 seconds, the Oracle Monitor continues to monitor data at 10 second intervals.
Load Generators Monitoring | Enable LG Monitoring. (Enabled by default) Enables Controller to monitor the resource usage of Controller and load generators during a scenario. For details, see Controller and Load Generator Resources monitor.

Back to top

## General tab

The General tab enables you to specify global settings for several options, such as data table storage and multiple IP address allocation.

Note: This tab is available only when the Controller is operating in Expert mode (Tools > Expert Mode). For details, see Expert mode.

User interface elements are described below:

UI Element | Description
--- | ---
Data tables global directory | The network location for data tables used as a source for parameter values. Note: This setting is required only when working with scripts created in earlier versions, and that used this data.
Help us improve | Help improve the product experience by selecting the I want to help, OpenText Professional Performance Engineering can send the usage data option. Selecting this option enables automatic collection of anonymous data about your most used features.
Override RDP file | Override the settings in the RDP file and use the terminal server settings. This applies to RDP Vusers running on load generators for which the Terminal Services Manager is enabled. This option requires you to have Remote Desktop access to the load generator.
Multiple IP address mode | Allocates IP addresses when the multiple IP address option is enabled (Scenario > Enable IP Spoofer). Controller can allocate an IP address per process or per thread. Allocation per thread results in a more varied range of IP addresses in a scenario. For details, see Multiple IP addresses. Note: If the IP Spoofer is not enabled, this option is not available.
IP spoofing mode | Allows you to choose an IP spoofing mode for selecting IP addresses from the IP pool. You add IP addresses to the IP pool with the IP Wizard. This option is only available if the IP Spoofer is enabled. Use IP addresses sequentially. Instructs Vusers to choose an IP address from the IP pool, in sequential order. Use IP addresses randomly. Instructs Vusers to choose an IP address from the IP pool, randomly. Note: The random option may result in using the same IP address multiple times during your scenario.

Back to top

## Debug Information tab

The Debug Information tab enables you to configure the settings to determine the extent of the trace to be performed during a scenario run. The debug information is written to the Output window.

Note: This tab is available only when the Controller is operating in Expert mode (Tools > Expert Mode). For details, see Expert mode.

User interface elements are described below:

UI Element | Description
--- | ---
Defaults | Sets the default debug information settings.
Keep temporary files | The OpenText Professional Performance Engineering Agent and Controller create temporary files that collect information such as the parameter file sent to the Vuser, the output compilation file, and the configuration file. The Agent files are saved in brr folders in the TMP or TEMP folder of the Agent machine. The Controller files are saved in lrr folders in the TMP or TEMP folder of the Controller machine. At the end of the scenario, all these files are automatically deleted. When selected, this option instructs the Agent and Controller not to delete these files so that you can use them for debugging.
Trace Flags | For debugging purposes, you can configure the type of trace performed during the scenario run. Select the appropriate options to enable the detailed trace. The available trace flags are: General File Transfer Incoming Communication Outgoing Communication The trace information appears in the log file located in the specified Agent log folder. Note: Select only the flags relating to your problem. For example, if you encounter specific problems with the transfer of files, select the File Transfer flag.

Back to top

## Output tab

The Output tab enables you to configure how to display running Vusers on the Controller machine.

Note: This tab is available only when the Controller is operating in Expert mode (Tools > Expert Mode). For details, see Expert mode.

User interface elements are described below:

UI Element | Description
--- | ---
Defaults | Sets the default output options.
Configuration of the "Show Vuser" operation | Specifies how to handle the Vuser logs: Max. simultaneously displayed. The maximum number of Vuser logs that may be displayed simultaneously. Default value: 10 Refresh timeout (milliseconds). How often the Vuser log should be refreshed. Default value: Every 1000 milliseconds
Delete Output window messages upon Reset | When selected, clears all messages in the Output window when you reset a scenario.

Back to top

## NUnit Framework tab

The NUnit Framework tab enables you to specify a path to the NUnit Framework.

Note: This tab is available only when the Controller is operating in Expert mode (Tools > Expert Mode). For details, see Expert mode.

For details, see Develop a unit test using Visual Studio (NUnit test).

Back to top

See also:

- Run a scenario

- Prepare a scenario to run

- Collate scenario run results

https://admhelp.microfocus.com Professional Performance Engineering,VuGen 8942
Tips to improve your search results... OpenText™ Professional Performance Engineering Help Center OpenText™ Professional Performance Engineering Help 26.1 All View Local Help Center View Online Help Center Version: